Panda3D

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Geom::CacheEntry Class Reference
Inheritance diagram for Geom::CacheEntry:

## Public Member Functions
| CacheEntry (Geom *source, CacheKey &&key) noexcept
| CacheEntry (Geom *source, const CacheKey &key)
| CacheEntry (Geom *source, const GeomVertexData *source_data, const GeomMunger *modifier)
virtual void | evict_callback ()
| Called when the entry is evicted from the cache, this should clean up the owning object appropriately. More...
virtual void | output (std::ostream &out) const
Public Member Functions inherited from GeomCacheEntry
| PT (GeomCacheEntry) erase()
| PT (GeomCacheEntry) record(Thread *current_thread)
void | refresh (Thread *current_thread)
| Marks the cache entry recently used, so it will not be evicted for a while. More...
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from GeomCacheEntry
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
PipelineCycler< CDataCache > | _cycler
CacheKey | _key
Geom * | _source
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

Definition at line 269 of file geom.h.

## Member Function Documentation

## ◆ evict_callback()

void Geom::CacheEntry::evict_callback | ( |  | ) |
| virtual

Called when the entry is evicted from the cache, this should clean up the owning object appropriately.

Reimplemented from GeomCacheEntry.

Definition at line 1727 of file geom.cxx.

The documentation for this class was generated from the following files:

- panda/src/gobj/geom.h
- panda/src/gobj/geom.cxx
- panda/src/gobj/geom.I